Page MenuHomePhabricator

Debug: Log group 'error' for PHP errors should abide wfSuppressWarnings
Closed, ResolvedPublic

Description

set_error_handler works separate from error_reporting. So when wfSuppressWarnings changes the error_reporting, MWExceptionHandler::handleError still gets called all the same.

I'm not sure whether they should completely be suppressed or not in this area. Perhaps have it be configurable, or add a flag of some kind (so that we can e.g. hide them by default in logstash, but still have a query for trending warnings that were originally suppressed)

Details

Reference
bz73619
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:54 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz73619.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Nov 19 2014, 8:28 PM

Change 177095 had a related patch set uploaded (by Krinkle):
exception: Implement error-json log

https://gerrit.wikimedia.org/r/177095

Patch-For-Review

Change 177096 had a related patch set uploaded (by Krinkle):
exception: Hide suppressed errors in 'error' log, flag in 'error-json'

https://gerrit.wikimedia.org/r/177096

Patch-For-Review

Krinkle claimed this task.Dec 2 2014, 10:42 PM

Change 177095 merged by jenkins-bot:
exception: Implement error-json log

https://gerrit.wikimedia.org/r/177095

Change 177096 merged by jenkins-bot:
exception: Hide suppressed errors in 'error' log, flag in 'error-json'

https://gerrit.wikimedia.org/r/177096

Krinkle closed this task as Resolved.Feb 4 2015, 8:23 PM
Krinkle updated the task description. (Show Details)
Krinkle edited projects, added MW-1.25-release; removed Patch-For-Review.
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).